2018-12-12 19:37 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000143Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:11
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000143: Login soll mit abgelehnten Cookies klappen
DescriptionEs sollten Login zu Admin- und Mitglieder-Bereich, Referal-Link und viele andere Seiten weiterhin funktionieren, auch wenn der User Cookies deaktiviert hat - das Script sendet ohnehin nur eine Session, aber manch mal wollen/duerfen auch dies einige Leute nicht.

Man koennte hier natuerlich sagen, keine Cookies kein Login. Aber das koennte viele User ausschliessen, die einen klaren Verstand (laut dem Buch "JSP von Kopf bis Fuss") haben und Cookies deaktiviert haben, da mit Cookies zu viel Schundluder getrieben wird (Stichwort "Google-Cookie" sei mal erwaehnt).

Die Loesung waere - habe ich fast fertig - nun ueberall eine Session-Id nur dann einzubauen, wenn keine Cookies angenommen und ein Browser vorhanden ist (Bots und Spiders sollen sich eh nicht einloggen koennen).
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000122new Erweiterung ext-seo: Soll ext-rewrite abloesen 
child of 0000176assignedQuix0r Globalere Verwendung der Expression-Language (Kurz: EL) 
+Relationships

-Notes

~0000393

Quix0r (administrator)

Mitglied- und Admin-Login/-Logout scheinen wohl zu klappen... Es sind aber noch immer nicht alle URLs ausgetauscht.

~0000441

Quix0r (administrator)

Dies sollte mit der Expression-Language (siehe Ticket 0000176) nun behoben sein, da dort ein Ausdruck {%url,modules.php?module=foo%} z.B. verwendet werden kann. Auch kann an dieser Stelle die neue SEO-Erweiterung gut "einhacken" (per Filter).

~0000482

Quix0r (administrator)

Es sollte nun alle internen URLs mit dem EL-Code versehen sein.

~0000715

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-18 02:25 Quix0r New Issue
2009-11-18 02:25 Quix0r Projection none => major rework
2009-11-18 02:25 Quix0r ETA none => < 1 day
2009-11-18 04:04 Quix0r Note Added: 0000393
2009-11-18 04:04 Quix0r Assigned To => Quix0r
2009-11-18 04:04 Quix0r Status new => feedback
2009-11-18 04:58 Quix0r Severity major => feature
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:29 Quix0r Summary Login klappt trotz keiner Cookies => Login klappt mit abgelehnten Cookies
2010-05-28 16:30 Quix0r Note Added: 0000441
2010-05-28 16:30 Quix0r Status feedback => assigned
2010-05-28 16:30 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:36 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-06-21 07:03 Quix0r Summary Login klappt mit abgelehnten Cookies => Login soll mit abgelehnten Cookies klappen
2010-06-21 07:03 Quix0r Relationship added child of 0000176
2010-06-21 07:05 Quix0r Relationship added related to 0000122
2010-07-22 23:59 Quix0r Note Added: 0000482
2010-07-22 23:59 Quix0r Status assigned => resolved
2010-07-22 23:59 Quix0r Fixed in Version => 0.2.1-FINAL
2010-07-22 23:59 Quix0r Resolution open => fixed
2016-11-23 10:11 Quix0r Note Added: 0000715
2016-11-23 10:11 Quix0r Status resolved => closed
+Issue History